package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ComboTipoCodice.
 * @see sicura.entities.ComboTipoCodice
 * @author Hibernate Tools
 */
@Stateless
public class ComboTipoCodiceHome {

	private static final Log log = LogFactory.getLog(ComboTipoCodiceHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ComboTipoCodice transientInstance) {
		log.debug("persisting ComboTipoCodice instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ComboTipoCodice persistentInstance) {
		log.debug("removing ComboTipoCodice instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ComboTipoCodice merge(ComboTipoCodice detachedInstance) {
		log.debug("merging ComboTipoCodice instance");
		try {
			ComboTipoCodice result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ComboTipoCodice findById(Integer id) {
		log.debug("getting ComboTipoCodice instance with id: " + id);
		try {
			ComboTipoCodice instance = entityManager.find(ComboTipoCodice.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
